QR kodları
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: name. |
| project_id | İstəyə bağlı Tam ədəd | |
| type | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: qr_code_id, datetime, last_datetime, name, type. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:43:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:43:33",
}
}
POST https://tistos.com/api/qr-codes
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \